


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; Documentation</title>
  

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
        <script src="_static/js/bootstrap.min.js"></script>
        <script src="_static/js/bootstrap.bundle.min.js"></script>
        <script src="_static/js/custom.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/bootstrap-grid.min.css" type="text/css" />
  <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> Shyft
          

          
          </a>

          
            
            
              <div class="version">
                4.12
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Project</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/project/what_is_shyft.html">What is Shyft?</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/get_involved.html">Get involved</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/project/contact.html">Contact</a></li>
</ul>
<p class="caption"><span class="caption-text">Time Series</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/time_series/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Hydrology</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/hydrology/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Energy Market</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/energy_market/api.html">API Documentation</a></li>
</ul>
<p class="caption"><span class="caption-text">Dashboard</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/concepts.html">Concepts</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/getting_started.html">Getting started</a></li>
<li class="toctree-l1"><a class="reference internal" href="content/dashboard/api.html">API Documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Shyft</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index &ndash; C</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/hydrology/api.html#shyft.hydrology.OKParameter.c">c() (shyft.hydrology.OKParameter property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.RatingCurveSegment.c">(shyft.time_series.RatingCurveSegment property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cache">cache() (shyft.time_series.DtsServer method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.cache_flush">cache_flush() (shyft.time_series.DtsClient method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cache_max_items">cache_max_items() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cache_memory_target">cache_memory_target() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.cache_stats">cache_stats() (shyft.time_series.DtsClient property)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cache_stats">(shyft.time_series.DtsServer property)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cache_ts_initial_size_estimate">cache_ts_initial_size_estimate() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.CacheStats">CacheStats (class in shyft.time_series)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.PrecipitationCorrectionCalculator.calc">calc() (shyft.hydrology.PrecipitationCorrectionCalculator method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.calc_mode">calc_mode() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar">Calendar (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeAxis.calendar_dt">calendar_dt() (shyft.time_series.TimeAxis property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.calendar_units">calendar_units() (shyft.time_series.Calendar method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.Calendar.calendar_week_units">calendar_week_units() (shyft.time_series.Calendar method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationOption">CalibrationOption (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CalibrationStatus">CalibrationStatus (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.cancel_calibration">cancel_calibration() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoCellData.catchment_id">catchment_id() (shyft.hydrology.GeoCellData method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.catchment_indexes">catchment_indexes() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.TargetSpecificationPts.catchment_property">catchment_property() (shyft.hydrology.TargetSpecificationPts property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CatchmentPropertyType">CatchmentPropertyType (class in shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.cb">cb() (shyft.time_series.DtsServer property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.cc_dt0">cc_dt0() (shyft.time_series.GeoEvalArgs property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CellEnvironment">CellEnvironment (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CellEnvironmentConstRHumWind">CellEnvironmentConstRHumWind (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CellStateId">CellStateId (class in shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.check_calibration">check_calibration() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/dashboard/api.html#shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions.check_dtss_url">check_dtss_url() (in module shyft.dashboard.apps.dtss_viewer.dtsc_helper_functions)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.CellStateId.cid">cid() (shyft.hydrology.CellStateId property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.clear">clear() (shyft.time_series.DtsServer method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.KrlsRbfPredictor.clear">(shyft.time_series.KrlsRbfPredictor method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsServer.clear_cache_stats">clear_cache_stats() (shyft.time_series.DtsServer method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.clone_expression">clone_expression() (shyft.time_series.TimeSeries method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.TsVector.clone_expression">(shyft.time_series.TsVector method)</a>
</li>
      </ul></li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.clone_model">clone_model() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.close">close() (shyft.hydrology.DrmClient method)</a>

      <ul>
        <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.close">(shyft.time_series.DtsClient method)</a>
</li>
      </ul></li>
      <li><a href="content/time_series/api.html#shyft.time_series.DtsClient.compress_expressions">compress_expressions() (shyft.time_series.DtsClient property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.compute">compute() (shyft.time_series.GeoTimeSeriesConfiguration method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.compute_geo_ts_values_at_time">compute_geo_ts_values_at_time() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanBiasPredictor.compute_running_bias">compute_running_bias() (shyft.hydrology.KalmanBiasPredictor method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanBiasPredictor.compute_running_bias_ts">compute_running_bias_ts() (shyft.hydrology.KalmanBiasPredictor static method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoEvalArgs.concat">concat() (shyft.time_series.GeoEvalArgs property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTsMatrix.concatenate">concatenate() (shyft.time_series.GeoTsMatrix method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.QacParameter.constant_filler">constant_filler() (shyft.time_series.QacParameter property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.UtcPeriod.contains">contains() (shyft.time_series.UtcPeriod method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.convolve_policy">convolve_policy (class in shyft.time_series)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TimeSeries.convolve_w">convolve_w() (shyft.time_series.TimeSeries method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.copy_model">copy_model() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.OKParameter.cov_type">cov_type() (shyft.hydrology.OKParameter property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanParameter.covariance_init">covariance_init() (shyft.hydrology.KalmanParameter property)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.CacheStats.coverage_misses">coverage_misses() (shyft.time_series.CacheStats property)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.GeoPointVector.create_from_x_y_z">create_from_x_y_z() (shyft.hydrology.GeoPointVector static method)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.create_geo_ts_matrix">create_geo_ts_matrix() (shyft.time_series.GeoTimeSeriesConfiguration method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.KalmanFilter.create_initial_state">create_initial_state() (shyft.hydrology.KalmanFilter method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.DrmClient.create_model">create_model() (shyft.hydrology.DrmClient method)</a>
</li>
      <li><a href="content/energy_market/api.html#shyft.energy_market.core.create_model_service">create_model_service() (in module shyft.energy_market.core)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.create_precipitation_source_vector_from_np_array">create_precipitation_source_vector_from_np_array() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.create_radiation_source_vector_from_np_array">create_radiation_source_vector_from_np_array() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.create_rel_hum_source_vector_from_np_array">create_rel_hum_source_vector_from_np_array() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.create_temperature_source_vector_from_np_array">create_temperature_source_vector_from_np_array() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.GeoTimeSeriesConfiguration.create_ts_matrix">create_ts_matrix() (shyft.time_series.GeoTimeSeriesConfiguration method)</a>
</li>
      <li><a href="content/hydrology/api.html#shyft.hydrology.create_wind_speed_source_vector_from_np_array">create_wind_speed_source_vector_from_np_array() (in module shyft.hydrology)</a>
</li>
      <li><a href="content/time_series/api.html#shyft.time_series.TsInfo.created">created() (shyft.time_series.TsInfo property)</a>
</li>
  </ul></td>
</tr></table>


           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2021, The Shyft project

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>